Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2760773002: Reland: add voice interaction shortcut. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 months ago by Muyuan
Modified:
7 months ago
CC:
chromium-reviews, elijahtaylor+arcwatch_chromium.org, oshima+watch_chromium.org, viettrungluu+watch_chromium.org, qsr+mojo_chromium.org, hidehiko+watch_chromium.org, yzshen+watch_chromium.org, abarth-chromium, Aaron Boodman, lhchavez+watch_chromium.org, victorhsieh+watch_chromium.org, darin (slow to review), davemoore+watch_chromium.org, yusukes+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Reland: add voice interaction shortcut. Reviewed at: https://codereview.chromium.org/2731403007/ Bug: 699309 Test: Meta + a starts voice interaction session in CrOS. Review-Url: https://codereview.chromium.org/2760773002 Cr-Commit-Position: refs/heads/master@{#458290} Committed: https://chromium.googlesource.com/chromium/src/+/cc1c52789b126b191dcfc7258e752de7e3cff549

Patch Set 1 #

Patch Set 2 : reland, base CL #

Patch Set 3 : modified CL #

Unified diffs Side-by-side diffs Delta from patch set Stats (+195 lines, -2 lines) Patch
M chrome/browser/chromeos/BUILD.gn View 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/arc/arc_service_launcher.cc View 2 chunks +6 lines, -0 lines 0 comments Download
A chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.h View 1 chunk +55 lines, -0 lines 0 comments Download
A chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc View 2 1 chunk +81 lines, -0 lines 0 comments Download
M chromeos/chromeos_switches.h View 1 chunk +1 line, -0 lines 0 comments Download
M chromeos/chromeos_switches.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M components/arc/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M components/arc/arc_bridge_host_impl.h View 1 chunk +2 lines, -0 lines 0 comments Download
M components/arc/arc_bridge_host_impl.cc View 1 chunk +6 lines, -0 lines 0 comments Download
M components/arc/arc_bridge_service.h View 3 chunks +7 lines, -0 lines 0 comments Download
M components/arc/common/arc_bridge.mojom View 2 chunks +7 lines, -2 lines 0 comments Download
A components/arc/common/voice_interaction_framework.mojom View 1 chunk +24 lines, -0 lines 0 comments Download
Trybot results:  linux_android_rel_ng   mac_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   win_chromium_rel_ng   cast_shell_linux   cast_shell_android   ios-device   android_compile_dbg   android_arm64_dbg_recipe   linux_chromium_tsan_rel_ng   win_clang   ios-device-xcode-clang   linux_chromium_chromeos_ozone_rel_ng   android_clang_dbg_recipe   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   android_n5x_swarming_rel   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   android_cronet   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   ios-simulator-xcode-clang   linux_android_rel_ng   ios-simulator   chromium_presubmit   ios-simulator   mac_chromium_rel_ng   win_chromium_rel_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   win_clang   android_compile_dbg   android_n5x_swarming_rel   chromium_presubmit   linux_android_rel_ng   ios-device   cast_shell_android   android_cronet   mac_chromium_compile_dbg_ng   ios-simulator   linux_chromium_tsan_rel_ng   ios-simulator-xcode-clang   android_arm64_dbg_recipe   ios-device-xcode-clang   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   android_clang_dbg_recipe   linux_chromium_rel_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 25 (14 generated)
Muyuan
7 months ago (2017-03-19 02:04:02 UTC) #2
dcheng
Note: for relands, please upload the original diff as PS1 and the updated diff as ...
7 months ago (2017-03-19 02:38:40 UTC) #5
Muyuan
On 2017/03/19 02:38:40, dcheng wrote: > Note: for relands, please upload the original diff as ...
7 months ago (2017-03-19 22:36:42 UTC) #8
Muyuan
On 2017/03/19 02:38:40, dcheng wrote: > Note: for relands, please upload the original diff as ...
7 months ago (2017-03-19 22:36:44 UTC) #9
dcheng
LGTM, thanks!
7 months ago (2017-03-20 02:51:39 UTC) #14
Luis Héctor Chávez
Just for completeness, can you run the build with the exact same configuration as https://build.chromium.org/p/chromium.chromiumos/builders/Linux%20ChromiumOS%20Builder%20%28dbg%29/builds/84749 ...
7 months ago (2017-03-20 15:03:07 UTC) #15
Muyuan
On 2017/03/20 15:03:07, Luis Héctor Chávez wrote: > Just for completeness, can you run the ...
7 months ago (2017-03-20 21:10:55 UTC) #16
Luis Héctor Chávez
thanks for checking. unfortunately the build stops at the first error so we need to ...
7 months ago (2017-03-20 21:16:38 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2760773002/40001
7 months ago (2017-03-20 21:19:42 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2760773002/40001
7 months ago (2017-03-20 23:47:10 UTC) #22
commit-bot: I haz the power
7 months ago (2017-03-21 03:08:17 UTC) #25
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/cc1c52789b126b191dcfc7258e75...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa